View Issue Details

IDProjectCategoryView StatusLast Update
0000635XdebugUsage problems (Wrong Results)public2011-01-02 23:39
ReporterakkieAssigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000635: Browser output broken with xdebug.show_exception_trace = 1
DescriptionWhen enabling xdebug.show_exception_trace then the output from the stack trace will not be displayed in the default table. Instead unformatted output will be sent to the browser.
Steps To Reproduce<?php

try {
    throw new Exception('Caught exception');
} catch (Exception $e) {
    
}

throw new Exception('Uncaught exception');
Additional Information<tr><th align='left' bgcolor='#f57900' colspan="5"><span style='background-color: #cc0000; color: #fce94f; font-size: x-large;'>( ! )</span> Exception: Caught exception in /var/www/htdocs/xdebug.php on line 4</th></tr>
<tr><th align='left' bgcolor='#e9b96e' colspan='5'>Call Stack</th></tr>
<tr><th align='center' bgcolor='#eeeeec'>#</th><th align='left' bgcolor='#eeeeec'>Time</th><th align='left' bgcolor='#eeeeec'>Memory</th><th align='left' bgcolor='#eeeeec'>Function</th><th align='left' bgcolor='#eeeeec'>Location</th></tr>
<tr><td bgcolor='#eeeeec' align='center'>1</td><td bgcolor='#eeeeec' align='center'>0.0001</td><td bgcolor='#eeeeec' align='right'>636136</td><td bgcolor='#eeeeec'>{main}( )</td><td title='/var/www/htdocs/xdebug.php' bgcolor='#eeeeec'>../xdebug.php:0</td></tr>

<tr><th align='left' bgcolor='#f57900' colspan="5"><span style='background-color: #cc0000; color: #fce94f; font-size: x-large;'>( ! )</span> Exception: Uncaught exception in /var/www/htdocs/xdebug.php on line 9</th></tr>
<tr><th align='left' bgcolor='#e9b96e' colspan='5'>Call Stack</th></tr>
<tr><th align='center' bgcolor='#eeeeec'>#</th><th align='left' bgcolor='#eeeeec'>Time</th><th align='left' bgcolor='#eeeeec'>Memory</th><th align='left' bgcolor='#eeeeec'>Function</th><th align='left' bgcolor='#eeeeec'>Location</th></tr>
<tr><td bgcolor='#eeeeec' align='center'>1</td><td bgcolor='#eeeeec' align='center'>0.0001</td><td bgcolor='#eeeeec' align='right'>636136</td><td bgcolor='#eeeeec'>{main}( )</td><td title='/var/www/htdocs/xdebug.php' bgcolor='#eeeeec'>../xdebug.php:0</td></tr>



<font size='1'><table class='xdebug-error' dir='ltr' border='1' cellspacing='0' cellpadding='1'>
<tr><th align='left' bgcolor='#f57900' colspan="5"><span style='background-color: #cc0000; color: #fce94f; font-size: x-large;'>( ! )</span> Fatal error: Uncaught exception 'Exception' with message 'Uncaught exception' in /var/www/htdocs/xdebug.php on line 9</th></tr>
<tr><th align='left' bgcolor='#f57900' colspan="5"><span style='background-color: #cc0000; color: #fce94f; font-size: x-large;'>( ! )</span> Exception: Uncaught exception in /var/www/htdocs/xdebug.php on line 9</th></tr>
<tr><th align='left' bgcolor='#e9b96e' colspan='5'>Call Stack</th></tr>
<tr><th align='center' bgcolor='#eeeeec'>#</th><th align='left' bgcolor='#eeeeec'>Time</th><th align='left' bgcolor='#eeeeec'>Memory</th><th align='left' bgcolor='#eeeeec'>Function</th><th align='left' bgcolor='#eeeeec'>Location</th></tr>

<tr><td bgcolor='#eeeeec' align='center'>1</td><td bgcolor='#eeeeec' align='center'>0.0001</td><td bgcolor='#eeeeec' align='right'>636136</td><td bgcolor='#eeeeec'>{main}( )</td><td title='/var/www/htdocs/xdebug.php' bgcolor='#eeeeec'>../xdebug.php:0</td></tr>
</table></font>
TagsNo tags attached.
Operating SystemGentoo Linux
PHP Version5.3.3

Activities

antoniocs

2010-11-20 22:56

reporter   ~0001614

I am having the same problem!!

Ubuntu Server 10.10 64bit
PHP 5.3.3-1ubuntu9.1
Xdebug 2.1.0

derick

2011-01-02 23:39

administrator   ~0001627

Fixed in SVN (for 2.2.x)

Issue History

Date Modified Username Field Change
2010-11-02 10:42 akkie New Issue
2010-11-20 22:56 antoniocs Note Added: 0001614
2011-01-02 23:39 derick Note Added: 0001627
2011-01-02 23:39 derick Status new => resolved
2011-01-02 23:39 derick Resolution open => fixed
2011-01-02 23:39 derick Assigned To => derick
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)